Loading...
Searching...
No Matches
svn_repos_node_t Struct Reference
Data structures and editor things for repository inspection.

A node in the repository. More...

`#include <svn_repos.h>`

## Data Fields

svn_node_kind_t | kind
| Node type (file, dir, etc.).
char | action
| How this node entered the node tree: 'A'dd, 'D'elete, 'R'eplace.
svn_boolean_t | text_mod
| Were there any textual mods?
svn_boolean_t | prop_mod
| Where there any property mods?
const char * | name
| The name of this node as it appears in its parent's entries list.
svn_revnum_t | copyfrom_rev
| The filesystem revision where this was copied from (if any).
const char * | copyfrom_path
| The filesystem path where this was copied from (if any).
struct svn_repos_node_t * | sibling
| Pointer to the next sibling of this node.
struct svn_repos_node_t * | child
| Pointer to the first child of this node.
struct svn_repos_node_t * | parent
| Pointer to the parent of this node.

## Detailed Description

A node in the repository.

Definition at line 2966 of file svn_repos.h.

## Field Documentation

## action

char svn_repos_node_t::action

How this node entered the node tree: 'A'dd, 'D'elete, 'R'eplace.

Definition at line 2972 of file svn_repos.h.

## child

struct svn_repos_node_t* svn_repos_node_t::child

Pointer to the first child of this node.

Definition at line 2993 of file svn_repos.h.

## copyfrom_path

const char* svn_repos_node_t::copyfrom_path

The filesystem path where this was copied from (if any).

Definition at line 2987 of file svn_repos.h.

## copyfrom_rev

svn_revnum_t svn_repos_node_t::copyfrom_rev

The filesystem revision where this was copied from (if any).

Definition at line 2984 of file svn_repos.h.

## kind

svn_node_kind_t svn_repos_node_t::kind

Node type (file, dir, etc.).

Definition at line 2969 of file svn_repos.h.

## name

const char* svn_repos_node_t::name

The name of this node as it appears in its parent's entries list.

Definition at line 2981 of file svn_repos.h.

## parent

struct svn_repos_node_t* svn_repos_node_t::parent

Pointer to the parent of this node.

Definition at line 2996 of file svn_repos.h.

## prop_mod

svn_boolean_t svn_repos_node_t::prop_mod

Where there any property mods?

Definition at line 2978 of file svn_repos.h.

## sibling

struct svn_repos_node_t* svn_repos_node_t::sibling

Pointer to the next sibling of this node.

Definition at line 2990 of file svn_repos.h.

## text_mod

svn_boolean_t svn_repos_node_t::text_mod

Were there any textual mods?

(files only)

Definition at line 2975 of file svn_repos.h.

The documentation for this struct was generated from the following file:

- svn_repos.h